Ruby 1.9.2p136(2010-12-25revision30365)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

- All
- Functions
- Variables
- Enumerator

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z

### - r -

- raised_flag : rb_thread_struct
- range : rb_objspace
- rational : RVALUE
- rbuf : rb_io_t
- rbuf_capa : rb_io_t
- rbuf_len : rb_io_t
- rbuf_off : rb_io_t
- rclass : METHOD
- reach_end : OptExactInfo
- read : _syck_file , _syck_str , select_args
- readagain_len : rb_transcoding , rb_econv_t
- readbuf : rb_transcoding
- readconv : rb_io_t
- real : RComplex
- realvar : olevariantdata
- receiver : cmd_body_arg
- recognized_len : rb_transcoding
- record : rb_objspace , st_table_entry
- recv : METHOD , rescue_funcall_args
- redirect_fds : rb_exec_arg
- redo_label : iseq_compile_data
- reduce_n : cparse_params
- reduce_table : cparse_params
- ref1 : OnigToken
- ref_count : tcltkip
- refs : OnigToken
- reg : INamesArg , ScanEnv
- regexp : RVALUE , RMatch
- region : OnigMatchArg
- regnum : EncloseNode
- regs : strscanner , rmatch
- remaining : bytestring_t
- remote : inetsock_arg
- removed : trace_var
- repeat : _OnigStackType , OnigToken
- repeat_inc : _OnigStackType
- repeat_range : re_pattern_buffer
- repeat_range_alloc : re_pattern_buffer
- replacement_allocated : rb_econv_t
- replacement_enc : rb_econv_t
- replacement_len : rb_econv_t
- replacement_str : rb_econv_t
- req_list : cmdline_options
- res : udp_arg , inetsock_arg , getaddrinfo_arg
- reserved : rb_data_type_struct
- reset : zstream::zstream_funcs
- resetsize_func : rb_transcoder
- resetstate_func : rb_transcoder
- resolver : parser_xtra
- result : equal_data , loaded_feature_searching , rb_econv_t , call_queue , invoke_queue , eval_queue
- resume_position : rb_transcoding
- ret : iconv_env_t , INamesArg , rb_econv_init_by_convpath_t
- ret_addr : _OnigStackType
- return_value : tcltkip
- retval : rb_vm_tag , cparse_params
- right_anchor : OptAncInfo
- rm_eo : posix_regmatch_t
- rm_so : posix_regmatch_t
- rmatch : RMatch
- root : _syck_parser
- root_fiber : rb_thread_struct
- root_jmpbuf : rb_thread_struct
- root_on_error : _syck_parser
- RR : stack_node
- rstruct : RVALUE
- rtn : wgetstr_arg
- ruby_encoding_index : OnigEncodingTypeST
- ruleno : cparse_params
- run : rb_objspace , zstream::zstream_funcs
- running : rb_vm_struct
- running_thread : rb_vm_struct